﻿using System.Windows.Controls;
using System.Windows.Messaging;
using Infrastructure;

namespace Receiver
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            LocalMessageReceiver messageReceiver = new LocalMessageReceiver(Constants.ReceiverName);
            messageReceiver.MessageReceived += (object sender, MessageReceivedEventArgs e) =>
            {
                var entity = JsonUtilities.DeserializeObjectToJson<Entity>(e.Message);
                this.DataContext = entity;
                e.Response = string.Format("{0} Recieved", entity.CustomerName);
            };
            messageReceiver.Listen();
        }
    }
}
