﻿using System.Windows.Controls;

using System.Windows.Messaging;
using Infrastructure;

namespace Sender
{
    public partial class MainPage : UserControl
    {

        public MainPage()
        {
            InitializeComponent();
            Entities.ItemsSource = SampleData.GetEntities();
        }

        private void Entities_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            SendMessage((Entity)e.AddedItems[0]);
        }

        private void SendMessage(Entity entity)
        {
            string json = JsonUtilities.SerializeObjectToJson(entity);

            LocalMessageSender sender = new LocalMessageSender(Constants.ReceiverName);
            sender.SendCompleted += (o, e) =>
            {
                Response.Text = string.Format("{0}", e.Response);
            };
            sender.SendAsync(json);
        }
    }
}
